PharData::addEmptyDir
PharData::addFromString
PharData
PHP Manual

# PharData::addFile

Add a file from the filesystem to the tar/zip archive

### Description

public void Phar::addFile ( string `$file` [, string `$localname` ] )

With this method, any file or URL can be added to the tar/zip archive. If the optional second parameter localname is specified, the file will be stored in the archive with that name, otherwise the file parameter is used as the path to store within the archive. URLs must have a localname or an exception is thrown. This method is similar to ZipArchive::addFile.

### Parameters

`file`

  Full or relative path to a file on disk to be added to the phar archive.

`localname`

  Path that the file will be stored in the archive.

### Return Values

no return value, exception is thrown on failure.

### Examples

Example #1 A PharData::addFile example

`<?php
try {
$a = new PharData('/path/to/my.tar');
$a->addFile('/full/path/to/file');
// demonstrates how this file is stored
$b = $a['full/path/to/file']->getContent();
$a->addFile('/full/path/to/file', 'my/file.txt');
$c = $a['my/file.txt']->getContent();
// demonstrate URL usage
$a->addFile('http://www.example.com', 'example.html');
} catch (Exception $e) {
// handle errors here
}
?>`

### See Also

- PharData::offsetSet
- Phar::addFile
- PharData::addFromString
- PharData::addEmptyDir